/*
 * lxtext-e.r.c
 * Copyright (C) 2010-2012, 2014-2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <lxnote.h>
#include <lxtext-inter.h>

static const struct x1f4_lxnote_type fail_note = {
/* *INDENT-OFF* */
    _libx1f4i0_lxtext_bset_text,
    NULL,
    NULL,
    NULL,
    _libx1f4i0_lxtext_fini_text,
    NULL,
    _libx1f4i0_lxtext_fset_text,
    NULL,
    _libx1f4i0_lxtext_near_text,
    NULL,
    NULL,
    _libx1f4i0_lxtext_tile_text,
    NULL,
    NULL,
    NULL,
    NULL,
    0
/* *INDENT-ON* */
};

int
x1f4_note_lxtext(const struct x1f4_lxnote_type **lxnote)
{
    *lxnote = &fail_note;

    return 0;
}
