/*
 * lxdata-l.s.c
 * Copyright (C) 2008-2010, 2014, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>
#include <lxcall.h>
#include <lxdata-types.h>

#define I_DATA(t)			(*((X1f4_E4_C_USER *) (t)))

int
_libx1f4i0_lxdata_s_logique(void *context, void *output, void **input)
{
    struct dxdata_type *dxdata_data;

    dxdata_data = I_DATA(input[0]);

    return x1f4_auto_text
	(&((struct lxdata_type *) context)->link_v,
	 &((struct lxdata_type *) context)->link_e, dxdata_data->string,
	 dxdata_data->length, output);
}
