/*
 * lxdate-e.r.c
 * Copyright (C) 2010, 2011, 2013-2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <lxdate-inter.h>
#include <lxnote.h>

static const struct x1f4_lxnote_type fail_note = {
/* *INDENT-OFF* */
    _libx1f4i0_lxdate_bset_date,
    NULL,
    _libx1f4i0_lxdate_clip_date,
    _libx1f4i0_lxdate_dset_date,
    _libx1f4i0_lxdate_fini_date,
    NULL,
    _libx1f4i0_lxdate_fset_date,
    NULL,
    _libx1f4i0_lxdate_near_date,
    NULL,
    _libx1f4i0_lxdate_seek_date,
    _libx1f4i0_lxdate_tile_date,
    NULL,
    NULL,
    NULL,
    NULL,
    0
/* *INDENT-ON* */
};

int
x1f4_note_lxdate(const struct x1f4_lxnote_type **lxnote)
{
    *lxnote = &fail_note;

    return 0;
}
