/*
 * lxline-a.i.c
 * Copyright (C) 2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <lxline-types.h>
#include <lxrail.h>

int
x1f4_fold_lxline(void *lxline, unsigned *copy)
{
    unsigned pass, text = 0;

    pass = _libx1f4i0_lxrail_fold_rail(__types_rail(lxline), &text);

    if (((struct lxline_type *) lxline)->link_i.data ^ -1) {
	pass -= 2;

	text -= pass * 21;

	text <<= 1;
	text += pass * 40;

	pass += 2;
	pass <<= 1;
    } else {
    }

    *copy += text;

    return pass;
}
