/*
 * lxrail-types.h
 * Copyright (C) 2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_lxrail_inter_H__
#define __LIBx1f4_lxrail_inter_H__

#include <lxrail-types.h>

#include <lxrail-types.h>

#define __types_lock(lxrail) \
    (&__types_long(lxrail)->east_1)

#define __types_long(lxrail) \
    (&((struct lxrail_type *) (lxrail))->ever_p.rule_1.nice_1)

#define _libx1f4i0_lxrail_stat_link(___l) \
    _libx1f4i0_lxlock_stat_link(__types_lock((___l)))

extern int _libx1f4i0_lxrail_hold_call
    (void **, void **, unsigned, int *, const int *, unsigned, int, int);
extern int _libx1f4i0_lxrail_keep_call
    (void **, void **, unsigned, int *, const int *, unsigned, int, int, int);

#endif				/* __LIBx1f4_lxrail_inter_H__ */
